package com.ruoyi.project.mapper;

import java.util.List;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.project.domain.TrsTechnicalWords;

/**
 * 专业术语Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public interface TrsTechnicalWordsMapper 
{
    /**
     * 查询专业术语
     * 
     * @param id 专业术语主键
     * @return 专业术语
     */
    public TrsTechnicalWords selectTrsTechnicalWordsById(Long id);

    /**
     * 查询专业术语列表
     * 
     * @param trsTechnicalWords 专业术语
     * @return 专业术语集合
     */
    @DataScope(deptAlias = "d", userAlias = "u")
    public List<TrsTechnicalWords> selectTrsTechnicalWordsList(TrsTechnicalWords trsTechnicalWords);

    /**
     * 新增专业术语
     * 
     * @param trsTechnicalWords 专业术语
     * @return 结果
     */
    public int insertTrsTechnicalWords(TrsTechnicalWords trsTechnicalWords);

    /**
     * 修改专业术语
     * 
     * @param trsTechnicalWords 专业术语
     * @return 结果
     */
    public int updateTrsTechnicalWords(TrsTechnicalWords trsTechnicalWords);

    /**
     * 删除专业术语
     * 
     * @param id 专业术语主键
     * @return 结果
     */
    public int deleteTrsTechnicalWordsById(Long id);

    /**
     * 批量删除专业术语
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsTechnicalWordsByIds(String[] ids);

    Long selectId(String datakey);

    List<TrsTechnicalWords> selectTrsWordsListByErrorWord(String wrongWord);
}
